Todo/ViewComponents/SidebarViewComponent.cs
using Client_app.Interface;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Todo.ViewComponents
{
    public class SidebarViewComponent : ViewComponent
    {
        private IUserRepository _userRepository;
        public SidebarViewComponent(IUserRepository userRepository)
        {
            _userRepository = userRepository;
        }

        public async Task<IViewComponentResult> InvokeAsync()
        {
            return await Task.FromResult((IViewComponentResult)View("SidebarComponent", _userRepository.GetEditeProfile(User.Identity.Name)));
        }
    }
}

Todo/Views/Shared/_AccountLayout.cshtml
<!DOCTYPE html>

<html dir="rtl">
<head>
    <meta name="viewport" content="width=device-width" />
    <title>@ViewBag.Title</title>
    <link href="~/lib/bootstrap/css/bootstrap.min.rtl.css" rel="stylesheet" />
    <link href="~/lib/bootstrap/css/bootstrap-grid.min.rtl.css" rel="stylesheet" />
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css"
          integrity="sha384-oS3vJWv+0UjzBfQzYUhtDYW+Pj2yciDJxpsK1OYPAYjqT085Qq/1cq5FLXAZQ7Ay" crossorigin="anonymous" />
    <link href="~/css/main.css" rel="stylesheet" />
</head>
<body>

    <div class="col-lg-12 col-sm-12 col-md-8">
        <nav class="navbar navbar-light bak-panel ">
            <a class="navbar-brand text-light">تسک های من</a>
            <a class="log-out" href="/Account/Logout">
                <i class="fas fa-sign-out-alt"></i>
            </a>
        </nav>
    </div>

    <div class="container-fluid">
        <div class="row justify-content-center">

            <div class="col-lg-3 col-sm-3 col-md-3">

                @await Component.InvokeAsync("Sidebar")



            </div>

            <div class="col-lg-9 col-sm-9 col-md-9 ">
                @RenderBody()
            </div>


        </div>
    </div>
   
      
   


    <script src="~/lib/jquery/jquery.js"></script>
    <script src="~/lib/bootstrap/js/bootstrap.min.js"></script>

    @RenderSection("srcript",false)
</body>
</html>

Todo/Views/Shared/_ActiveEmail.cshtml
@model DataLayer.Model.User

<style>

.emailbody{
    direction: rtl;
    padding: 20px;
}

</style>

<div class="emailbody">
    <h2> @Model.UserName عزیز ! </h2>
    <p>ثبت نام شما در سیستم مدیریت وظایف انجام شد .جهت ادامه و فعالسازی حساب کاربری روی لینک زیر کلیک نمایید</p>
    <p>
        <a href="http://localhost:49661/Account/ActiveAccount/@Model.ActiveCode"> فعالسازی </a>
    </p>
 
</div>

Todo/Views/Shared/_AddTask.cshtml
@model DataLayer.Model.Task
@using DataLayer.Model.Enums

@{
    Layout = null;
    List<DataLayer.Model.Category> cat = ViewBag.categorys as List<DataLayer.Model.Category>;
    List<DataLayer.Model.Category> subcat = ViewBag.subcategory as List<DataLayer.Model.Category>;
}

<form asp-action="AddTask" method="post">
    <div class="form-group">
        <label>عنوان</label>
        <input asp-for="Name" class="form-control" />
    </div>
    <div class="form-group">
        <label>دسته بندی اصلی</label>
        <select class="form-control category" asp-for="CategoryId" >
            <option value="0">انتخاب کنید</option>
            @foreach (var item in cat)
            {
                <option value="@item.CategoryId">@item.Title</option>
            }

        </select>
    </div>

    <div class="form-group">
        <label>دسته بندی فرعی</label>
        <select class="form-control subcategory" >
        </select>
    </div>

    <div class="form-group">
        <label>توضیحات</label>
        <input asp-for="Description" class="form-control" />
    </div>

    <div class="form-group">
        <label>تاریخ اتمام</label>
        <input asp-for="Date" type="text" class="form-control" />
    </div>


    <div class="form-group">
        <label>انجام شده</label>
        <input asp-for="IsDone" type="radio" value="@IsDoneEnum.isdone" />
        <label>انجام نشده</label>
        <input asp-for="IsDone" type="radio" value="@IsDoneEnum.notdone" />
    </div>

    <div class="form-group">
        <button class="btn btn-success">ثبت</button>
    </div>

</form>

Todo/Views/Shared/_ForgotPassword.cshtml
@model DataLayer.Model.User

<style>

    .emailbody {
        direction: rtl;
        padding: 20px;
    }
</style>

<div class="emailbody">
    <h2> @Model.UserName عزیز ! </h2>
    <p> جهت بازیابی کلمه عبور خود روی لینک زیر کلیک نمایید </p>
    <p>
        <a href="http://localhost:49661/Account/ResetPassword/@Model.ActiveCode"> بازیابی کلمه عبور </a>
    </p>

</div>

Todo/Views/Shared/_HomeLayout.cshtml
<!DOCTYPE html>

<html dir="rtl">
<head>
    <meta name="viewport" content="width=device-width" />
    <title>@ViewBag.Title</title>
    <link href="~/lib/bootstrap/css/bootstrap.min.rtl.css" rel="stylesheet" />
    <link href="~/lib/bootstrap/css/bootstrap-grid.min.rtl.css" rel="stylesheet" />
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css"
          integrity="sha384-oS3vJWv+0UjzBfQzYUhtDYW+Pj2yciDJxpsK1OYPAYjqT085Qq/1cq5FLXAZQ7Ay" crossorigin="anonymous" />
    <link href="~/css/main.css" rel="stylesheet" />
</head>
<body>

   
            @RenderBody()
     
  


    <script src="~/lib/jquery/jquery.js"></script>
    <script src="~/lib/bootstrap/js/bootstrap.min.js"></script>
</body>
</html>

Todo/Views/Shared/_UserSidebar.cshtml
@{
    ViewData["Title"] = "_UserSidebar";
    Layout = "~/Views/Shared/_HomeLayout.cshtml";
    var sidebar = ViewBag.Sidebar as Client_app.ViewModels.SidebarViewModel;
}